Package org.opensaml.soap.soap11

# Interface EncodingStyleBearing

public interface EncodingStyleBearing
Interface for element having a `@soap11:encodingStyle` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SOAP11_ENCODING_STYLE_ATTR_LOCAL_NAME`
The soap11:@encodingStyle attribute local name.
`static final QName`
`SOAP11_ENCODING_STYLE_ATTR_NAME`
The soap11:@encodingStyle qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getSOAP11EncodingStyles()`
Get the attribute value.
`void`
`setSOAP11EncodingStyles(List<String> newEncodingStyles)`
Set the attribute value.

## Field Details

### SOAP11_ENCODING_STYLE_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String SOAP11_ENCODING_STYLE_ATTR_LOCAL_NAME
The soap11:@encodingStyle attribute local name.

See Also:
  - Constant Field Values

### SOAP11_ENCODING_STYLE_ATTR_NAME

@Nonnull static final QName SOAP11_ENCODING_STYLE_ATTR_NAME
The soap11:@encodingStyle qualified attribute name.

## Method Details

### getSOAP11EncodingStyles

@Nullable List<String> getSOAP11EncodingStyles()
Get the attribute value.

Returns:
  return the list of attribute values

### setSOAP11EncodingStyles

void setSOAP11EncodingStyles(@Nullable List<String> newEncodingStyles)
Set the attribute value.

Parameters:
  `newEncodingStyles` - the new list of attribute values